MSquared {PerformanceAnalytics} | R Documentation

## M squared of the return distribution

### Description

M squared is a risk adjusted return useful to judge the size of relative performance between differents portfolios. With it you can compare portfolios with different levels of risk.

### Usage

    MSquared(Ra, Rb, Rf = 0, ...)

### Arguments

`Ra` | an xts, vector, matrix, data frame, timeSeries or zoo object of asset return
`Rb` | return vector of the benchmark asset
`Rf` | risk free rate, in same period as your returns
`...` | any other passthru parameters

### Details

M squared = Rp + SR * (Market risk - Portfolio risk) = (Rp - Rf) * Market risk / Portfolio risk + Rf

where r_P is the portfolio return annualized, σ_M is the market risk and σ_P is the portfolio risk

### Author(s)

Matthieu Lestel

### References

Carl Bacon, Practical portfolio performance measurement and attribution, second edition 2008 p.67-68

### Examples

    data(portfolio_bacon)
    print(MSquared(portfolio_bacon[,1], portfolio_bacon[,2])) #expected 0.10062

    data(managers)
    print(MSquared(managers['1996',1], managers['1996',8]))
    print(MSquared(managers['1996',1:5], managers['1996',8]))

[Package PerformanceAnalytics version 1.5.3 Index]